local mooner =" "
newmenu = ""
local path = reaper.GetResourcePath()
local NameFile ="tempo"
local  pathfull =path .. "\\ini\\" .. NameFile .. ".ini"

    local R = reaper.GetCursorPosition();

Z1, Z2, Z3 = reaper.TimeMap_GetTimeSigAtTime(0,R)

if Z3 < 20 then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "1", "nil", pathfull)
elseif (Z3 >= 20) and (Z3 <= 40) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "2", "nil", pathfull)
elseif (Z3 >= 40) and (Z3 <= 50) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "3", "nil", pathfull)
elseif (Z3 >= 50) and (Z3 <= 60) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "4", "nil", pathfull)
elseif (Z3 >= 60) and (Z3 <= 70) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "5", "nil", pathfull)
elseif (Z3 >= 70) and (Z3 <= 80) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "6", "nil", pathfull)
elseif (Z3 >= 90) and (Z3 <= 100) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "7", "nil", pathfull)
elseif (Z3 >= 100) and (Z3 <= 110) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "8", "nil", pathfull)
elseif (Z3 >= 110) and (Z3 < 120) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "9", "nil", pathfull)
elseif (Z3 >= 120) and (Z3 <= 150) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "10", "nil", pathfull)
elseif (Z3 >= 150) and (Z3 <= 170) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "11", "nil", pathfull)
elseif (Z3 >= 170) and (Z3 <= 190) then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "12", "nil", pathfull)
elseif (Z3 >= 190)  then
num1, num2 = reaper.BR_Win32_GetPrivateProfileString("tempo", "13", "nil", pathfull)
else
num2 = ""
end
XXX = "Current Tempo is " .. Z3.. num2  .. " Time signature is " .. Z1 .. "/" .. Z2


reaper.osara_outputMessage(XXX)
